TIME(1)

NAME
time, ptime - time a command

SYNOPSIS
time [ -a ] [ -r ] [ -v ] command

ptime [ -a ] [ -r ] [ -v ] command

DESCRIPTION
After a given command has been executed, time prints the elapsed time during the command, the time spent in the system, and the time spent in execution of the command. Time is reported in seconds.

OPTIONS
When the -a option is specified, or when invoked as ptime, time shows the execution time for each process.

When the -r option is specified, time also includes resource usage information.

The resource usage fields are:

pid numerical user-id of process owner

ppid
    numerical user-id of parent of process

MaxRSS
    maximum real memory (resident set) size (in pages)

MajorPF
    major page faults

MinorPF
    minor page faults

Swaps
    count of process swaps

blkI
    count of block input operations

blkO
    count of block output operations

Nsig
    count of signals received

Vcsw
    voluntary context switches

Icsw
    involuntary context switches

When the -v option is specified, time traces process events such as fork, exec, and exit as they occur.

The times are printed on the diagnostic output stream.

Time is a built-in command to csh(1), with a different syntax and a different output format. This command is available as /bin/time to csh users.

BUGS
Due to the multiprocessing nature of DYNIX, it is possible for the CPU time (user + system time) for the command to greatly exceed real time, thus giving percentages greater than 100% for CPU utilization.

The -a option returns a smaller number for the system time because it does not include the time used to exit the process.

Using ptime to measure parallel fork/exit times results in serializing all fork and exit operations in the program being timed. These results are misleading as parallel fork/exit does perform faster than a sequential implementation.